View Issue Details

IDProjectCategoryView StatusLast Update
0000030Slicer3Base Codepublic2017-06-10 08:51
ReporterpieperAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Summary0000030: camera nodes shows up in data tree
Description

In a blank scene (at startup) the vtkMRMLCameraNode appears in the tree, but it should be hidden.

TagsNo tags attached.

Activities

alexy

alexy

2007-03-19 09:45

developer   ~0000050

Fixed camera not to show in data view

Related Changesets

Import 2017-06-07 23:51:09: master f1c371b7

2016-11-15 10:13:32

jcfr

Details Diff
ENH: Update python-cmake-buildsystem

This the first step toward the support of Python 3

$ git shortlog b012e1e..39ccab0 --no-merges
David Brooks (3):
Allow a Python build to be part of a larger CMake project.
Make it easier to specify the version of Python to build.
Update the default Python to 2.7.12.

Isaiah Norton (1):
pyconfig: guard '_LARGEFILE_SOURCE' to reduce warnings

Jean-Christophe Fillion-Robin (99):
Do not install test scripts if BUILD_TESTING is OFF. Fixes 0000110
Update travis and appveyor settings to specify major/minor/patch versions.
Fix setting of HAVE_LCHMOD
Reorganize libpython sources
Add "generate_graminit" target
Add "generate_python_ast_h" and "generate_python_ast_c" targets
Add "generate_opcode_h" target
Sort test list alphabetically
Fix execution of "test_doctest"
libpython: Remove redundant settings of POSITION_INDEPENDENT_CODE property
Set minimum required version of OpenSSL to 0.9.7
Fix "test_gdb" configuring and installing "python-gdb.py"
Fix test_asdl_parser
Add option WITH_COMPUTED_GOTOS for Python >= 2.7.11
Update "add_python_extension" function adding "ALWAYS_BUILTIN" option.
bdist_wininst: Fix configuration error due to not found ZLIB_LIBRARIES
extensions/CMakeLists.txt: Add comments
Add /Zm200 microsoft compiler flag
add_python_extension: Re-organize code to call target_link_libraries once.
Ensure extension include directories are associated with only one extension
Fix "test_asdl_parser" on windows
Add USE_BUILTIN_ZLIB option. Fixes 0000014
add_python_extension: Add support for NO_INSTALL option.
Add support for building Python 3.5.1
python3: Fix tests like "test_loads_recursion" failing on windows
python3: Fix "test_no_comdat_folding" disabling COMDAT folding.
python3: Add support for _decimal extension
python3: Fix build of _scproxy
python3: Support building xxlimited extension
python3: Build "python3dll" and fix msvc "xxlimited" link issue.
python3: Add target to run "Argument Clinic"
python3: Associate ABIFLAGS with shared/static libraries
python3: Export and install libpython3-shared
python3: Build libpython3-shared on unix
appveyor: Disable Debug configuration
appveyor: Associate python "3.5.1" with "Visual Studio 12 2013" generator
python3: Fix MaxOSX build
python3: Fix HAVE_READV and HAVE_WRITEV configuration check on MacOSX
python3: Fix windows error when building 32-bit by excluding vcdiv64.asm
python3: Associate correct architecture with python3stub.lib
python3: Fix windows build of _decimal extension
python3: Fix build of decimal extension
Add configure check for HAVE_UCS4_TCL
python2: Support setting Py_UNICODE_SIZE. Fixes 0000106
Install LICENSE file. Fixes 0000029
Install man pages. Fixes 0000030
Generate and install grammar tables. Fixes 0000028
Add configure check for MACOSX_DEPLOYMENT_TARGET.
extension_ctypes: Simplify code introducing ctypes_COMMON_SOURCES var
extension_ctypes: Support MacOSX build. Fixes 0000018
Fix configure check HAVE_READLINE_READLINE_H on MacOSX
python3: Do not include system processor when setting SOABI on MacOSX
python3: Fix name of crypt extension
Cache results of CMake checks
Use CMake module "CheckTypeSize" and remove custom "CheckTypeExists"
libpython-static: Use CMAKE_DL_LIBS instead to initialize CMAKE_DL_LIBS
Add WITH_STATIC_DEPENDENCIES option (available only on Unix)
Add INSTALL_DEVELOPMENT option
Add INSTALL_MANUAL option
Add INSTALL_TEST option
Support system where libutil and libm are builtin the standard library
Support building with HAVE_LIBDL set to False
Build threadmodule only if WITH_THREAD is ON
Associate "semaphore.c" with multiprocessing module only if it applies
decimal: Display selected libmpdec_config
python2: Add option to build threadmodule
Exclude targets not relevant when cross compiling
libmpdec_config: Add note for possible tweak
circle: Add initial configuration
circle: Cache docker images
Associate cross-compiling emulator with custom commands & targets and tests
Fix compilation of getpath.c crosscompiling using MinGW
extension_datetime: Fix reference to MSVC_BUILTIN
extensions: Generalize the built-in of Windows extensions to all compilers
extension_ctypes: Fix indent
Add BUILD_LIBPYTHON_SHARED option, deprecate BUILD_SHARED and BUILD_STATIC
Consistently set LIBPYTHON_VERSION checking for WIN32 instead of MSVC
bdist_wininst: Do not build by default if crosscompiling.
config-mingw: Create copy of "PC/pyconfig.h"
config-mingw: Replace "tab" with "2 spaces"
config-mingw: Remove WINCE related config
config-mingw: Remove support for older version of Visual Studio
config-mingw: Remove support for Borland, egcs/gnu-win32 and lcc-win32 compiler
config-mingw: Remove support for Intel compiler
config-mingw: Add (i686|x86_64)-w64-mingw32 toolchain support from MXE
fficonfig: Add test to set HAVE_MMAP_FILE
fficonfig: Fix HAVE_AS_CFI_PSEUDO_OP test
fficonfig: Update package metadata and fix typos
fficonfig: Add missing SIZEOF_SIZE_T define
fficonfig: Add test placeholders for new options introduced in libffi >= 3.0.13
fficonfig: Add HAVE_AS_ASCII_PSEUDO_OP test
fficonfig: Add HAVE_AS_STRING_PSEUDO_OP test
fficonfig: Ensure HAVE_RO_EH_FRAME value is configured
python3: Fix setting of WITH_HASH_ALGORITHM option properties
sqlite3: Always expect the library and headers top be on the system
circle: Fix build renaming all image references
CMakeLists: Tweak "unknown python version" error message text
gitignore: Ignore python source archives
README: Minor tweaks

Jonathan White (2):
Set target properties only if decimal/readline extensions are builtin.
Fixed error in naming of dbm and gdbm modules when compiling for Python 3.x

Marcel Metz (1):
Remove arguments from else and end* block termination commands

Matt McCormick (5):
Add Python 2.7.12 MD5
ci: Add Python 2.7.12 support
test_coding and test_pep263 renamed to test_source_coding in 2.7.12
test_pep293 rename to test_string in Python 2.7.12
circle: Use dockcross images

Max Smolens (1):
Support Python 3.5.2

Tony Narlock (7):
Fix 0000132 libffi directory on FreeBSD 11-CURRENT
Prevent BSD systems from being tagged as Linux
ConfigureChecks: Correct HAVE_SYS_SYS_DOMAIN_H include check
makefile-variables: Remove obsolete OTHER_LIBTOOL_OPT
Rename fficonfig.h to fficonfig.h.in and configure it during configuration
pyconfig.h: Add missing test for SETPGRP_HAVE_ARG
Configure fficonfig.h using system introspection. See 0000135

bamboo (1):
README: Fix typo.

git-svn-id: http://svn.slicer.org/Slicer4/trunk@25537 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_python.cmake Diff File

Issue History

Date Modified Username Field Change
2007-02-01 03:56 pieper New Issue
2007-02-01 03:57 pieper Assigned To => alexy
2007-02-01 03:57 pieper Status new => assigned
2007-03-19 09:45 alexy Note Added: 0000050
2007-03-19 09:45 alexy Resolution open => fixed
2007-03-19 11:21 hayes Status assigned => closed
2017-06-10 08:51 jcfr Changeset attached => Slicer master f1c371b7